/**
 * pako.c - Does fancy exits with an error
 *
 * This file is part of Laite (http://iki.fi/zouppen/laite/)
 * Copyright 2005 Joel Lehtonen <joel dot lehtonen t iki dot fi>
 *
 * Laite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See COPYING
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

/* Ovela aliohjelma, joka pakenee ohjelmasta ja heitt lopuksi virheen 
 * printf-muotoiltuna. Lopuksi paluuarvoksi asetetaan toivottu luku */
void virhePrint( int paluuarvo, char* ilmoitus, ...)
{
	va_list parametrit;

	va_start(parametrit, ilmoitus); // Ilmoitusta seuraavat argumentit
	vfprintf(stderr, ilmoitus, parametrit);
	va_end(parametrit);

	exit(paluuarvo);
}

void virheErrno(int virhe, char* viesti)
{
	fprintf(stderr,"VIRHE: %s -- %s\n",viesti,strerror(virhe));
	exit(10);
}
